>From 9167d5d4b51bf839f0f4de40ad3bc5a825c9e288 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jan=20Urba=C5=84ski?= <wulczer@wulczer.org>
Date: Sun, 2 Jan 2011 11:22:11 +0100
Subject: [PATCH 07/16] Initialise all fields of PyModuleDef.

This structure (used only in Python 3) actually has four more fields
that should be initialised.
---
 src/pl/plpython/plpython.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/src/pl/plpython/plpython.c b/src/pl/plpython/plpython.c
index 42f79f4..eed5fff 100644
--- a/src/pl/plpython/plpython.c
+++ b/src/pl/plpython/plpython.c
@@ -2625,6 +2625,10 @@ static PyModuleDef PLy_module = {
 	NULL,						/* m_doc */
 	-1,							/* m_size */
 	PLy_methods,				/* m_methods */
+	NULL,                       /* m_reload */
+	NULL,                       /* m_traverse */
+	NULL,                       /* m_clear */
+	NULL                        /* m_free */
 };
 #endif
 
-- 
1.7.2.3

